# Command: testsuite::ticket-737

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-737 - ensure generators depending on port info detect "bad wiring"

Synopsis:

    (ticket-737-DScallback) run -> NEST exits if test fails

Description:

      This tests ensures that generators relying on port information to provide target-specific
      output via the DS-callback mechanism verify that all callback connections have a contiguous
      port range starting from 0.

Remarks:

      This test does not work properly until #681 is fixed, because exceptions thrown in parallel
      sections are not handled properly.

Author:

    Hans Ekkehard Plesser, 2013-05-06

Source:

    /opt/conda/conda-bld/nest_1512420111240/work/nest-2.12.0/testsuite/manualtests/ticket-737-DScallback.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative